#!/usr/bin/env python

import getopt, sys
import urllib
from settings import *
from launchpad import LaunchpadAgent


def usage():
    print """usage:
             voteOnMergeProposal.py -wa
            """

def main():
    try:
        opts, args = getopt.getopt(sys.argv[1:], "b:m:",['branch=','merge-proposal='])
    except getopt.GetoptError, err:
        print str(err)
        usage()
        sys.exit(2)

    branch = None
    merge_proposal = None
    for o, a in opts:
        if o in ('-b','--branch'):
             branch = a
        elif o in ('-m','--merge-proposal'):
             merge_proposal = a
        else:
            assert False, "unhandled option"

    launchpad = LaunchpadAgent()

    if not merge_proposal: 
        print 'Error: you must specify merge proposal'
        usage()
        sys.exit(2)

    if not branch: 
        #if branch was not specified try to get it from merge proposal
        branch = launchpad.get_branch_from_mp(merge_proposal)
        if not branch:
            print 'Error: unable to get branch from merge proposal.\n\
                            Please specify manually using -- branch.'
            usage()
            sys.exit(2)

    mp = launchpad.get_merge_proposal(branch, merge_proposal)

    if not mp:
        print 'Error: merge proposal relted to this branch was not found'
        sys.exit(1)

    launchpad.close_bugs(mp)
    sys.exit(0)

if __name__ == "__main__":
    main()

